<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VendorSubsidiaryRelationshipSearchBasic StructType
 * @subpackage Structs
 */
class VendorSubsidiaryRelationshipSearchBasic extends SearchRecordBasic
{
    /**
     * The balance
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $balance;
    /**
     * The balanceBase
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $balanceBase;
    /**
     * The baseCurrency
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $baseCurrency;
    /**
     * The creditLimit
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $creditLimit;
    /**
     * The entity
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $entity;
    /**
     * The externalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $externalId;
    /**
     * The externalIdString
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $externalIdString;
    /**
     * The internalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $internalId;
    /**
     * The internalIdNumber
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchLongField
     */
    public $internalIdNumber;
    /**
     * The inTransitBalance
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $inTransitBalance;
    /**
     * The inTransitBalanceBase
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $inTransitBalanceBase;
    /**
     * The isPrimarySub
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $isPrimarySub;
    /**
     * The primaryCurrency
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $primaryCurrency;
    /**
     * The subsidiary
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $subsidiary;
    /**
     * The taxItem
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $taxItem;
    /**
     * The unbilledOrders
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $unbilledOrders;
    /**
     * The unbilledOrdersBase
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $unbilledOrdersBase;
    /**
     * The customFieldList
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchCustomFieldList
     */
    public $customFieldList;
    /**
     * Constructor method for VendorSubsidiaryRelationshipSearchBasic
     * @uses VendorSubsidiaryRelationshipSearchBasic::setBalance()
     * @uses VendorSubsidiaryRelationshipSearchBasic::setBalanceBase()
     * @uses VendorSubsidiaryRelationshipSearchBasic::setBaseCurrency()
     * @uses VendorSubsidiaryRelationshipSearchBasic::setCreditLimit()
     * @uses VendorSubsidiaryRelationshipSearchBasic::setEntity()
     * @uses VendorSubsidiaryRelationshipSearchBasic::setExternalId()
     * @uses VendorSubsidiaryRelationshipSearchBasic::setExternalIdString()
     * @uses VendorSubsidiaryRelationshipSearchBasic::setInternalId()
     * @uses VendorSubsidiaryRelationshipSearchBasic::setInternalIdNumber()
     * @uses VendorSubsidiaryRelationshipSearchBasic::setInTransitBalance()
     * @uses VendorSubsidiaryRelationshipSearchBasic::setInTransitBalanceBase()
     * @uses VendorSubsidiaryRelationshipSearchBasic::setIsPrimarySub()
     * @uses VendorSubsidiaryRelationshipSearchBasic::setPrimaryCurrency()
     * @uses VendorSubsidiaryRelationshipSearchBasic::setSubsidiary()
     * @uses VendorSubsidiaryRelationshipSearchBasic::setTaxItem()
     * @uses VendorSubsidiaryRelationshipSearchBasic::setUnbilledOrders()
     * @uses VendorSubsidiaryRelationshipSearchBasic::setUnbilledOrdersBase()
     * @uses VendorSubsidiaryRelationshipSearchBasic::setCustomFieldList()
     * @param \StructType\SearchDoubleField $balance
     * @param \StructType\SearchDoubleField $balanceBase
     * @param \StructType\SearchMultiSelectField $baseCurrency
     * @param \StructType\SearchDoubleField $creditLimit
     * @param \StructType\SearchMultiSelectField $entity
     * @param \StructType\SearchMultiSelectField $externalId
     * @param \StructType\SearchStringField $externalIdString
     * @param \StructType\SearchMultiSelectField $internalId
     * @param \StructType\SearchLongField $internalIdNumber
     * @param \StructType\SearchDoubleField $inTransitBalance
     * @param \StructType\SearchDoubleField $inTransitBalanceBase
     * @param \StructType\SearchBooleanField $isPrimarySub
     * @param \StructType\SearchMultiSelectField $primaryCurrency
     * @param \StructType\SearchMultiSelectField $subsidiary
     * @param \StructType\SearchMultiSelectField $taxItem
     * @param \StructType\SearchDoubleField $unbilledOrders
     * @param \StructType\SearchDoubleField $unbilledOrdersBase
     * @param \StructType\SearchCustomFieldList $customFieldList
     */
    public function __construct(\StructType\SearchDoubleField $balance = null, \StructType\SearchDoubleField $balanceBase = null, \StructType\SearchMultiSelectField $baseCurrency = null, \StructType\SearchDoubleField $creditLimit = null, \StructType\SearchMultiSelectField $entity = null, \StructType\SearchMultiSelectField $externalId = null, \StructType\SearchStringField $externalIdString = null, \StructType\SearchMultiSelectField $internalId = null, \StructType\SearchLongField $internalIdNumber = null, \StructType\SearchDoubleField $inTransitBalance = null, \StructType\SearchDoubleField $inTransitBalanceBase = null, \StructType\SearchBooleanField $isPrimarySub = null, \StructType\SearchMultiSelectField $primaryCurrency = null, \StructType\SearchMultiSelectField $subsidiary = null, \StructType\SearchMultiSelectField $taxItem = null, \StructType\SearchDoubleField $unbilledOrders = null, \StructType\SearchDoubleField $unbilledOrdersBase = null, \StructType\SearchCustomFieldList $customFieldList = null)
    {
        $this
            ->setBalance($balance)
            ->setBalanceBase($balanceBase)
            ->setBaseCurrency($baseCurrency)
            ->setCreditLimit($creditLimit)
            ->setEntity($entity)
            ->setExternalId($externalId)
            ->setExternalIdString($externalIdString)
            ->setInternalId($internalId)
            ->setInternalIdNumber($internalIdNumber)
            ->setInTransitBalance($inTransitBalance)
            ->setInTransitBalanceBase($inTransitBalanceBase)
            ->setIsPrimarySub($isPrimarySub)
            ->setPrimaryCurrency($primaryCurrency)
            ->setSubsidiary($subsidiary)
            ->setTaxItem($taxItem)
            ->setUnbilledOrders($unbilledOrders)
            ->setUnbilledOrdersBase($unbilledOrdersBase)
            ->setCustomFieldList($customFieldList);
    }
    /**
     * Get balance value
     * @return \StructType\SearchDoubleField|null
     */
    public function getBalance()
    {
        return $this->balance;
    }
    /**
     * Set balance value
     * @param \StructType\SearchDoubleField $balance
     * @return \StructType\VendorSubsidiaryRelationshipSearchBasic
     */
    public function setBalance(\StructType\SearchDoubleField $balance = null)
    {
        $this->balance = $balance;
        return $this;
    }
    /**
     * Get balanceBase value
     * @return \StructType\SearchDoubleField|null
     */
    public function getBalanceBase()
    {
        return $this->balanceBase;
    }
    /**
     * Set balanceBase value
     * @param \StructType\SearchDoubleField $balanceBase
     * @return \StructType\VendorSubsidiaryRelationshipSearchBasic
     */
    public function setBalanceBase(\StructType\SearchDoubleField $balanceBase = null)
    {
        $this->balanceBase = $balanceBase;
        return $this;
    }
    /**
     * Get baseCurrency value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getBaseCurrency()
    {
        return $this->baseCurrency;
    }
    /**
     * Set baseCurrency value
     * @param \StructType\SearchMultiSelectField $baseCurrency
     * @return \StructType\VendorSubsidiaryRelationshipSearchBasic
     */
    public function setBaseCurrency(\StructType\SearchMultiSelectField $baseCurrency = null)
    {
        $this->baseCurrency = $baseCurrency;
        return $this;
    }
    /**
     * Get creditLimit value
     * @return \StructType\SearchDoubleField|null
     */
    public function getCreditLimit()
    {
        return $this->creditLimit;
    }
    /**
     * Set creditLimit value
     * @param \StructType\SearchDoubleField $creditLimit
     * @return \StructType\VendorSubsidiaryRelationshipSearchBasic
     */
    public function setCreditLimit(\StructType\SearchDoubleField $creditLimit = null)
    {
        $this->creditLimit = $creditLimit;
        return $this;
    }
    /**
     * Get entity value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getEntity()
    {
        return $this->entity;
    }
    /**
     * Set entity value
     * @param \StructType\SearchMultiSelectField $entity
     * @return \StructType\VendorSubsidiaryRelationshipSearchBasic
     */
    public function setEntity(\StructType\SearchMultiSelectField $entity = null)
    {
        $this->entity = $entity;
        return $this;
    }
    /**
     * Get externalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getExternalId()
    {
        return $this->externalId;
    }
    /**
     * Set externalId value
     * @param \StructType\SearchMultiSelectField $externalId
     * @return \StructType\VendorSubsidiaryRelationshipSearchBasic
     */
    public function setExternalId(\StructType\SearchMultiSelectField $externalId = null)
    {
        $this->externalId = $externalId;
        return $this;
    }
    /**
     * Get externalIdString value
     * @return \StructType\SearchStringField|null
     */
    public function getExternalIdString()
    {
        return $this->externalIdString;
    }
    /**
     * Set externalIdString value
     * @param \StructType\SearchStringField $externalIdString
     * @return \StructType\VendorSubsidiaryRelationshipSearchBasic
     */
    public function setExternalIdString(\StructType\SearchStringField $externalIdString = null)
    {
        $this->externalIdString = $externalIdString;
        return $this;
    }
    /**
     * Get internalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getInternalId()
    {
        return $this->internalId;
    }
    /**
     * Set internalId value
     * @param \StructType\SearchMultiSelectField $internalId
     * @return \StructType\VendorSubsidiaryRelationshipSearchBasic
     */
    public function setInternalId(\StructType\SearchMultiSelectField $internalId = null)
    {
        $this->internalId = $internalId;
        return $this;
    }
    /**
     * Get internalIdNumber value
     * @return \StructType\SearchLongField|null
     */
    public function getInternalIdNumber()
    {
        return $this->internalIdNumber;
    }
    /**
     * Set internalIdNumber value
     * @param \StructType\SearchLongField $internalIdNumber
     * @return \StructType\VendorSubsidiaryRelationshipSearchBasic
     */
    public function setInternalIdNumber(\StructType\SearchLongField $internalIdNumber = null)
    {
        $this->internalIdNumber = $internalIdNumber;
        return $this;
    }
    /**
     * Get inTransitBalance value
     * @return \StructType\SearchDoubleField|null
     */
    public function getInTransitBalance()
    {
        return $this->inTransitBalance;
    }
    /**
     * Set inTransitBalance value
     * @param \StructType\SearchDoubleField $inTransitBalance
     * @return \StructType\VendorSubsidiaryRelationshipSearchBasic
     */
    public function setInTransitBalance(\StructType\SearchDoubleField $inTransitBalance = null)
    {
        $this->inTransitBalance = $inTransitBalance;
        return $this;
    }
    /**
     * Get inTransitBalanceBase value
     * @return \StructType\SearchDoubleField|null
     */
    public function getInTransitBalanceBase()
    {
        return $this->inTransitBalanceBase;
    }
    /**
     * Set inTransitBalanceBase value
     * @param \StructType\SearchDoubleField $inTransitBalanceBase
     * @return \StructType\VendorSubsidiaryRelationshipSearchBasic
     */
    public function setInTransitBalanceBase(\StructType\SearchDoubleField $inTransitBalanceBase = null)
    {
        $this->inTransitBalanceBase = $inTransitBalanceBase;
        return $this;
    }
    /**
     * Get isPrimarySub value
     * @return \StructType\SearchBooleanField|null
     */
    public function getIsPrimarySub()
    {
        return $this->isPrimarySub;
    }
    /**
     * Set isPrimarySub value
     * @param \StructType\SearchBooleanField $isPrimarySub
     * @return \StructType\VendorSubsidiaryRelationshipSearchBasic
     */
    public function setIsPrimarySub(\StructType\SearchBooleanField $isPrimarySub = null)
    {
        $this->isPrimarySub = $isPrimarySub;
        return $this;
    }
    /**
     * Get primaryCurrency value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getPrimaryCurrency()
    {
        return $this->primaryCurrency;
    }
    /**
     * Set primaryCurrency value
     * @param \StructType\SearchMultiSelectField $primaryCurrency
     * @return \StructType\VendorSubsidiaryRelationshipSearchBasic
     */
    public function setPrimaryCurrency(\StructType\SearchMultiSelectField $primaryCurrency = null)
    {
        $this->primaryCurrency = $primaryCurrency;
        return $this;
    }
    /**
     * Get subsidiary value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getSubsidiary()
    {
        return $this->subsidiary;
    }
    /**
     * Set subsidiary value
     * @param \StructType\SearchMultiSelectField $subsidiary
     * @return \StructType\VendorSubsidiaryRelationshipSearchBasic
     */
    public function setSubsidiary(\StructType\SearchMultiSelectField $subsidiary = null)
    {
        $this->subsidiary = $subsidiary;
        return $this;
    }
    /**
     * Get taxItem value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getTaxItem()
    {
        return $this->taxItem;
    }
    /**
     * Set taxItem value
     * @param \StructType\SearchMultiSelectField $taxItem
     * @return \StructType\VendorSubsidiaryRelationshipSearchBasic
     */
    public function setTaxItem(\StructType\SearchMultiSelectField $taxItem = null)
    {
        $this->taxItem = $taxItem;
        return $this;
    }
    /**
     * Get unbilledOrders value
     * @return \StructType\SearchDoubleField|null
     */
    public function getUnbilledOrders()
    {
        return $this->unbilledOrders;
    }
    /**
     * Set unbilledOrders value
     * @param \StructType\SearchDoubleField $unbilledOrders
     * @return \StructType\VendorSubsidiaryRelationshipSearchBasic
     */
    public function setUnbilledOrders(\StructType\SearchDoubleField $unbilledOrders = null)
    {
        $this->unbilledOrders = $unbilledOrders;
        return $this;
    }
    /**
     * Get unbilledOrdersBase value
     * @return \StructType\SearchDoubleField|null
     */
    public function getUnbilledOrdersBase()
    {
        return $this->unbilledOrdersBase;
    }
    /**
     * Set unbilledOrdersBase value
     * @param \StructType\SearchDoubleField $unbilledOrdersBase
     * @return \StructType\VendorSubsidiaryRelationshipSearchBasic
     */
    public function setUnbilledOrdersBase(\StructType\SearchDoubleField $unbilledOrdersBase = null)
    {
        $this->unbilledOrdersBase = $unbilledOrdersBase;
        return $this;
    }
    /**
     * Get customFieldList value
     * @return \StructType\SearchCustomFieldList|null
     */
    public function getCustomFieldList()
    {
        return $this->customFieldList;
    }
    /**
     * Set customFieldList value
     * @param \StructType\SearchCustomFieldList $customFieldList
     * @return \StructType\VendorSubsidiaryRelationshipSearchBasic
     */
    public function setCustomFieldList(\StructType\SearchCustomFieldList $customFieldList = null)
    {
        $this->customFieldList = $customFieldList;
        return $this;
    }
}
